# LVB

***Phylogenetic Software Package***

LVB is a maximum-parsimony (MP) phylogenetic inference tool currently under development by the [*Barker Lab Group*](https://www.ed.ac.uk/profile/daniel-barker) at the University of Edinburgh. LVB utilises a simulated annealing algorithm to aid searches within tree space.

Current Developers:\
[*Joseph Guscott*](https://github.com/josephguscott)\
[*Daniel Barker*](https://www.ed.ac.uk/profile/daniel-barker)

[![](https://img.shields.io/badge/Build-Passing-brightgreen)](https://github.com/phylolvb/lvb/releases/tag/3.5)
[![](https://img.shields.io/badge/Core%20Tests-Passing-brightgreen)]()
[![](https://img.shields.io/badge/Current%20Release-4.2-blue)](https://github.com/phylolvb/lvb/releases/tag/3.5)
[![](https://img.shields.io/badge/Release%20Date-04%2F2023-blue)](https://github.com/phylolvb/lvb/releases/tag/3.5)\
[![](https://img.shields.io/badge/DOI%3A-https%3A%2F%2Fdoi.org%2F10.1093%2Fbioinformatics%2Fbtg402-blue)](https://doi.org/10.1093/bioinformatics/btg402)

***Gettting Started***

To checkout the current source code and compile:

~~~~
git clone https://github.com/phylolvb/lvb
cd lvb/
~~~~

Complie LVB:

~~~~
make
~~~~

Run tests:

~~~~
make test
~~~~

If you use LVB, please cite the following paper:

* Barker D (2004) LVB: parsimony and simulated annealing in the search for phylogenetic trees. *Bioinformatics*, **20**, 274-275. https://doi.org/10.1093/bioinformatics/btg402 

For further guidance, [see the Wiki tab](https://github.com/phylolvb/lvb/wiki).

---
